CMSIS-DSP: arm_class_marks_example_f32.c File Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_class_marks_example_f32.c File Reference

## Macros

#define | USE_STATIC_INIT
#define | TEST_LENGTH_SAMPLES
#define | NUMSTUDENTS
#define | NUMSUBJECTS

## Functions

int32_t | main ()

## Variables

const float32_t | testMarks_f32 [TEST_LENGTH_SAMPLES]
const float32_t | testUnity_f32 [4]
uint32_t | numStudents
uint32_t | numSubjects
float32_t | max_marks
float32_t | min_marks
float32_t | mean
float32_t | std
float32_t | var
uint32_t | student_num

## Macro Definition Documentation

#define NUMSTUDENTS

Examples:
  arm_class_marks_example_f32.c.

#define NUMSUBJECTS

Examples:
  arm_class_marks_example_f32.c.

#define TEST_LENGTH_SAMPLES

Examples:
  arm_class_marks_example_f32.c.

#define USE_STATIC_INIT

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_class_marks_example_f32.c.

## Variable Documentation

float32_t max_marks

Examples:
  arm_class_marks_example_f32.c.

float32_t mean

Examples:
  arm_class_marks_example_f32.c, and arm_variance_example_f32.c.

float32_t min_marks

Examples:
  arm_class_marks_example_f32.c.

uint32_t numStudents

Examples:
  arm_class_marks_example_f32.c.

uint32_t numSubjects

Examples:
  arm_class_marks_example_f32.c.

float32_t std

Examples:
  arm_class_marks_example_f32.c.

uint32_t student_num

Examples:
  arm_class_marks_example_f32.c.

const float32_t testMarks_f32[TEST_LENGTH_SAMPLES]

Examples:
  arm_class_marks_example_f32.c.

const float32_t testUnity_f32[4]

Examples:
  arm_class_marks_example_f32.c.

float32_t var

Examples:
  arm_class_marks_example_f32.c.